// Font
@import 'fonts/roboto';

// Bootstrap
@import 'bootstrap/functions';
@import 'bootstrap-variables';
@import 'bootstrap/variables';
@import 'bootstrap/mixins';
@import 'bootstrap/reboot';
@import 'bootstrap/utilities';
@import 'bootstrap/badge';
@import 'bootstrap/grid';
@import 'bootstrap/card';
@import 'bootstrap/tables';

// Libraries
@import 'libraries/hamburgers/hamburgers';

// Components
@import 'components/reset';
@import 'components/type';
@import 'components/page';
@import 'components/header';
@import 'components/footer';
@import 'components/sub-footer';
@import 'components/logo';
@import 'components/main-menu';
@import 'components/main-menu-mobile';
@import 'components/docs-menu';
@import 'components/hamburger';
@import 'components/buttons';
@import 'components/title';
@import 'components/content';
@import 'components/strip';
@import 'components/whitebox';
@import 'components/anchor';

// Highlighting
@import 'highlight/monokai';

// Pages
@import 'pages/home';

// Global
body {
  font-family: $font-family-base;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.4;
  color: $black;
}


.container {
  padding-left: $grid-gutter-width;
  padding-right: $grid-gutter-width;
}


button {
  border: none;
}


li.menu-item-version-old a span {
  color: red;
}


.content {

  /*
  h2 {
    margin-top: 3rem;
  }
  */

  .highlight {
    margin: 0;
    padding: 10px;
    font-weight: 600;

    pre {
      padding: 0;
      padding-bottom: 5px;
      code {
        &.language-bash > span::before {
          content: "$";
          padding-right: 1rem;
          color: gray;
        }

        &.language-bash_out {
          color: #d3ffa6;
          font-weight: 400;

          * {
            color: #d3ffa6;
          }
        }

        &.language-bash_err {
          color: #f92672;
          font-weight: 400;

          * {
            color: #f92672;
          }
        }
      }
    }

    & + * {
      margin-top: 1.8rem;
    }

    & + .highlight {
      margin-top: -5px;
      padding-top: 0px;
    }

  }

  p + .highlight {
    margin-top: 1rem;
  }



}


// Display breakpoints for DEV
// body:after {
//   color: #000000;
//   font-size: 12px;
//   padding: 5px;
//   font-weight: bold;
//   right: 10px;
//   position: fixed;
//   text-align: center;
//   text-transform: uppercase;
//   bottom: 10px;
//   width: 200px;
//   z-index: 9999;
//   border: solid 1px #000000;
//   @each $name, $value in $grid-breakpoints {
//     @include media-breakpoint-up($name) {
//       content: "#{$name} - min-width: #{$value}";
//     }
//   }
// }
